List all processors
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}Processors
List Processors
List all processors with pagination
GET
/
processors
List all processors
curl --request GET \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){}{}List Processors
Retrieve a paginated list of all payment processors.Endpoint
GET /api/v1/processors
Authentication
string
required
Bearer token (Admin JWT)
Query Parameters
integer
default:"50"
Results per page
integer
default:"0"
Pagination offset
Response
{
"processors": [
{
"id": "proc_abc123",
"name": "Smart PAY Merchant",
"phone_number": "+23277123456",
"email": "merchant@smartpay.sl",
"status": "active",
"created_at": "2025-01-15T10:30:00Z"
}
],
"total_count": 25,
"limit": 50,
"offset": 0
}
Errors
| Code | Description |
|---|---|
| 401 | Unauthorized |
| 500 | Internal server error |
⌘I